# -*- coding: utf-8 -*-
'''
NetworkDesign/mod_element/ModElement

@author: Bela Genge
'''

class ModElement(object):
    '''
    '''

    def __init__(self, name):
        '''
        Constructor
        '''
        super(ModElement, self).__init__()
        self.__name = name
        self.__prop = {}


    def setName(self, name):
        self.__name = name


    def getName(self):
        return self.__name


    def getProp(self, idprop):
        return self.__prop[idprop]


    def hasProp(self, prop):
        return prop in self.__prop


    def addProp(self, prop, value):
        self.__prop[prop] = value


