# -*- coding: utf-8 -*-
'''
NetworkDesign/mod_node/ModNode

@author: Bela Genge
'''

from mod_element import ModElement

class ModNode(ModElement):
    '''
    '''
    NTYPE   = 'NT'   # CoS/regular
    NCOS    = 'COS'  # Node of type CoS
    NREG    = 'NR'   # Node of regular type
    NCOST   = 'NC'   # Node cost
    SZCOST  = 'SZC'  # Security zone cost (the number of the security zone is automatically appended)
    NSOSCOS = 'ncSCADA-CoS' # OS set for nodes of type CoS

    def __init__(self, name):
        '''
        Empty constructor
        '''
        ModElement.__init__(self, name)


