# -*- coding: utf-8 -*-
'''
NetworkDesign/mod_solver/ModSolver
Shodan search

@author: Bela Genge
'''

import re
import subprocess

class ModSolver():
    '''
    '''

    def __init__(self, scipPath, fname = './NetworkDesign.lp'):
        '''
        Constructor
        '''
        self.__scipPath = scipPath
        self.__fname = fname


    def solve(self):

        # Run solver
        s = subprocess.check_output([self.__scipPath, "-f", self.__fname])

        # Process result
        sol = []
        for ss in s.split('\n'):
            if re.search('obj:', ss):
                s1 = ss.split()
                vidx = int(s1[0].split('x')[1])
                vval = int(s1[1])
                sol.append((vidx, vval))

        return sol



